#!/bin/sh
export PATH='/usr/obj/ports/hs-abstract-deque-0.1.6/bin:/usr/bin:/bin:/usr/sbin:/sbin:/usr/local/bin:/usr/X11R6/bin'
echo 'name: abstract-deque
version: 0.1.6
id: abstract-deque-0.1.6-a0bae92c10e8d599ad91759ce9a33290
key: abstr_AnofRaZbe9c6SG5DS1OZJN
license: BSD3
maintainer: rrnewton@gmail.com
homepage: https://github.com/rrnewton/haskell-lockfree-queue/wiki
synopsis: Abstract, parameterized interface to mutable Deques.
description:
    An abstract interface to highly-parameterizable queues/deques.
    .
    Background: There exists a feature space for queues that extends between:
    .
    * simple, single-ended, non-concurrent, bounded queues
    .
    * double-ended, threadsafe, growable queues
    .
    ... with important points inbetween (such as
    the queues used for work-stealing).
    .
    This package includes an interface for Deques that allows the
    programmer to use a single API for all of the above, while using the
    type-system to select an efficient implementation given the
    requirements (using type families).
    .
    This package also includes a simple reference implementation based
    on '\''IORef'\'' and "Data.Sequence".
category: Data
author: Ryan R. Newton
exposed: True
exposed-modules:
    Data.Concurrent.Deque.Class Data.Concurrent.Deque.Tests
    Data.Concurrent.Deque.Reference
    Data.Concurrent.Deque.Reference.DequeInstance
trusted: False
import-dirs: /usr/local/lib/ghc/abstract-deque-0.1.6
library-dirs: /usr/local/lib/ghc/abstract-deque-0.1.6
data-dir: /usr/local/share/hs-abstract-deque-0.1.6
hs-libraries: HSabstract-deque-0.1.6-AnofRaZbe9c6SG5DS1OZJN
depends:
    HUnit-1.3.0.0-904109a490c85ff643c14c4cfbe058fb
    base-4.8.2.0-8dd7859ce039df9f3d3f4ff9dbf4bb93
    containers-0.5.6.2-59326c33e30ec8f6afd574cbac625bbb
haddock-interfaces: /usr/local/share/doc/hs-abstract-deque-0.1.6/html/abstract-deque.haddock
haddock-html: /usr/local/share/doc/hs-abstract-deque-0.1.6/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
